Cyberduck Mountain Duck CLI

#3133 closed defect (duplicate)

File Corruption

Reported by: Somebody Owned by: dkocher
Priority: high Milestone: 3.2.1
Component: sftp Version: 3.2
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description

Downloading the same image (tested only with .jpg) twice via SCP causes the downloaded file to appear corrupted.

Change History (4)

comment:1 Changed on Apr 30, 2009 at 10:34:13 AM by dkocher

  • Component changed from core to sftp
  • Summary changed from File Corruption on 3.2 to File Corruption
  • Version set to 3.2

comment:2 Changed on May 29, 2009 at 7:01:49 PM by Andres

Steps to replicate:

  1. Download file into a download directory where an identically named file exists.
  2. Verify size of downloaded file.
  3. Re-download file to the same directory.
  4. Verify size of file again.

Expected results:

  1. Downloaded file is identical to the file in the FTP.
  2. File size will be equal.
  3. Re-downloading the file will not affect the downloaded file, assuming the FTP file hasn't changed.

Actual results:

  1. Downloaded file is different from the file in the FTP.
  2. File size of the downloaded file is 0 (zero).
  3. Re-downloading the file fixes the downloaded file.

This bug also manifests when downloading multiple files, with almost always displaying this error on one file only.

comment:3 Changed on Jun 19, 2009 at 3:18:06 PM by pfurbacher@…

I'm using Version 3.2 (4648).

For some reason, I was plagued by this zero byte length file corruption issue yesterday -- quite a few times actually. Don't recall ever encountering it before. At one point, I even inadvertently checked one of these corrupted files into SVN without having noticed the corruption. Fortunately, I had a back up.

I cannot verify that the steps described by Andres are those that caused this to happen repeatedly yesterday.

comment:4 Changed on Jun 26, 2009 at 7:17:29 PM by dkocher

  • Milestone set to 3.2.1
  • Resolution set to duplicate
  • Status changed from new to closed

Fixed. See #3252. Nightly build available.

Note: See TracTickets for help on using tickets.
swiss made software